Mycroft Community Forum

Keyword spotting only works in debug mode

Hi,

first time user here.
I am running Picroft (20.2.4 (master))on a Raspberry Pi 4 with USB speakers and a Playstation Eye. Both worked outside of Mycroft, but not with the application. So I followed the audio troubleshooting guide and to test it I ran mycroft-start debug as sugested. With that I saw the microphone level in the bottom right corner and also the keyword spotting worked. However, I was not able to do anything as I only get “Please wait a moment as I finish booting up.” and :skills only returns two active skills (volume and pairing), just like in Picroft fresh boot - only two skills load.
However, when I run without debug I do not see the microphone level and my keyword is not being spotted, but :skills returns ~20 entries (one of them - stock - is red and the logs show errors for this one, but I think this is most likely not related). I tried removing the skills like the thread suggested but that did not fix my issue.

My skills.log is full of:

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/pi/mycroft-core/mycroft/messagebus/client/client.py", line 84, in on_error
    self.emitter.emit('error', error)
  File "/home/pi/mycroft-core/.venv/lib/python3.7/site-packages/pyee/__init__.py", line 178, in emit
    raise args[0]
  File "/home/pi/mycroft-core/.venv/lib/python3.7/site-packages/websocket/_app.py", line 254, in run_forever
    proxy_type=proxy_type)
  File "/home/pi/mycroft-core/.venv/lib/python3.7/site-packages/websocket/_core.py", line 220, in connect
    options.pop('socket', None))
  File "/home/pi/mycroft-core/.venv/lib/python3.7/site-packages/websocket/_http.py", line 120, in connect
    sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
  File "/home/pi/mycroft-core/.venv/lib/python3.7/site-packages/websocket/_http.py", line 190, in _open_socket
    raise err
  File "/home/pi/mycroft-core/.venv/lib/python3.7/site-packages/websocket/_http.py", line 170, in _open_socket
    sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused